Bug 973868 - Re-Review Request: lifeograph - A diary program
Re-Review Request: lifeograph - A diary program
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alec Leamas
Fedora Extras Quality Assurance
Alec Leamas
Depends On:
  Show dependency treegraph
Reported: 2013-06-12 22:56 EDT by Ankur Sinha (FranciscoD)
Modified: 2013-09-06 22:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: lifeograph-0.11.1-2.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-29 14:24:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
leamas.alec: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2013-06-12 22:56:36 EDT
Spec URL: http://ankursinha.fedorapeople.org/Lifeograph/lifeograph.spec
SRPM URL: http://ankursinha.fedorapeople.org/Lifeograph/lifeograph-0.11.1-1.fc19.src.rpm

Lifeograph is a diary program to take personal notes on life. It has all
essential functionality expected in a diary program and strives to have
a clean and streamlined user interface.

Fedora Account System Username: ankursinha

Additional info:

[asinha@localhost  SPECS]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm ./lifeograph.spec
lifeograph.src:33: W: macro-in-comment %{optflags}
lifeograph.x86_64: W: no-manual-page-for-binary lifeograph
./lifeograph.spec:33: W: macro-in-comment %{optflags}
3 packages and 1 specfiles checked; 0 errors, 3 warnings.

An f19 x86_64 rpm can be found here:

It's a deprecated package:
Comment 1 Ankur Sinha (FranciscoD) 2013-06-12 23:01:49 EDT
SRPMs updated. The macro in comment warnings are now gone.
Comment 2 Alec Leamas 2013-06-13 06:23:55 EDT
and I'll review this one
Comment 3 Alec Leamas 2013-06-13 17:25:38 EDT
Package Review

[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

- Code sems to be GPLv3+ rather than GPLv3 at a quick glance. Or is there
  indeed something in the sources which requires plain GPLv3?
- update-desktop-database is invoked when required
  Note: desktop file in lifeograph contains MimeType entry, needs
  to update desktop-database
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-database
- The sed scripts could (and should) be simplified and sanitized.
    "s|\(Categories=Utility\)|\1;| -> /^Ĉategories/s/$/;/
     s|\(MimeType=application/x-lifeographdiary\)|\1;| -> /^MimeType/s/$/;/
     These two are applied to the same file making the backup useless. Either
     merge the two commands to one using -e, or just drop the backup.

     sed -ibackup "81,86 d" wscript -> something else. This will fail silently
     for just an added blank line somewhere. Matching two regex'es  or so seems
     much safer.

===== MUST items =====

[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v3 or later)", "GPL (v3 or later)". Detailed output
     of licensecheck in
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked when required
     Note: icons in lifeograph
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
[x]: Spec file according to URL is the same as in SRPM.

Checking: lifeograph-0.11.1-1.fc18.i686.rpm
lifeograph.i686: W: no-manual-page-for-binary lifeograph
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Rpmlint (installed packages)
# rpmlint lifeograph
lifeograph.i686: W: no-manual-page-for-binary lifeograph
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

lifeograph (rpmlib, GLIBC filtered):


Source checksums
https://launchpad.net/lifeograph/trunk/0.11.1/+download/lifeograph-0.11.1.tar.gz :
  CHECKSUM(SHA256) this package     : 524727159e50d5b1f5adc4574a8aeda729e96ef25b227addd2b08eaf4971b930
  CHECKSUM(SHA256) upstream package : 524727159e50d5b1f5adc4574a8aeda729e96ef25b227addd2b08eaf4971b930
Comment 4 Alec Leamas 2013-06-13 18:11:10 EDT
Actually, instead of the last sed-script I would suggest using a patch; it seems like a better alternative for this kind of fix.
Comment 5 Ankur Sinha (FranciscoD) 2013-06-15 05:14:15 EDT
Thanks for the review!




* Sat Jun 15 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.11.1-2
- Replace sed with patch
- Update desktop database
- Bug# 973868

Warm regards,
Comment 6 Alec Leamas 2013-06-15 11:45:01 EDT
Ouch... seems that I wasn't clear about the sed issues... :(

The original sed patching of the desktop file was basically fine IMHO, besides that the was expressions needlessly complicated and the backup useless. My idea was to replace these with something like sed -i -e '/^Ĉategories/s/$/;/' -e  /^MimeType/s/$/;/ lifeograph.desktop or so (nop patch here required, but doessn't, hjurt  either, I guess)

Mhy real concerns is the last expresseion sed -ibackup "81,86 d" wscript. This is just too vulnerable to even whitespace changes, and should be replaced with a patch IMHO. 

Sorry for the mess.
Comment 7 Ankur Sinha (FranciscoD) 2013-06-15 14:03:08 EDT
Hi Alec!

My bad! I knew what you meant but completely forgot the second sed command! 
I've replaced both sed commands with patches, and commented the patches too.

I'll try sending the wscript patch upstream. Their wscript overrides all flags so I'm not sure how other distributions are building this app. 

Updated spec/srpm:



I haven't bumped the release for this change. (The same changelog applies)

Warm regards,
Comment 8 Alec Leamas 2013-06-15 15:06:27 EDT
Hi Ankur! You're welcome! Looks good.

*** Approved
Comment 9 Ankur Sinha (FranciscoD) 2013-06-15 19:23:05 EDT
New Package SCM Request
Package Name: lifeograph
Short Description: A diary program
Owners: ankursinha
Branches: f18 f19
Comment 10 Gwyn Ciesla 2013-06-17 08:32:38 EDT
Unretired, please take ownership in pkgdb and submit a Package Change
request for additional branches.
Comment 11 Ankur Sinha (FranciscoD) 2013-06-17 08:53:16 EDT
Package Change Request
Package Name: lifeograph
New Branches: f18 f19
Owners: ankursinha

Taken ownership. Thanks.
Comment 12 Gwyn Ciesla 2013-06-17 09:10:27 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2013-06-18 03:55:44 EDT
lifeograph-0.11.1-2.fc18 has been submitted as an update for Fedora 18.
Comment 14 Fedora Update System 2013-06-18 03:55:56 EDT
lifeograph-0.11.1-2.fc19 has been submitted as an update for Fedora 19.
Comment 15 Fedora Update System 2013-06-18 15:39:43 EDT
lifeograph-0.11.1-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 16 Fedora Update System 2013-06-29 14:24:04 EDT
lifeograph-0.11.1-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 17 Fedora Update System 2013-09-06 21:26:57 EDT
lifeograph-0.11.1-2.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.